当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]无法通过锐捷客户端上网
帖子发表于 : 2008-07-12 22:32 

注册: 2008-07-11 21:26
帖子: 9
送出感谢: 0 次
接收感谢: 0 次
装了个ubuntu8.04的版本,由于是校园网用户,想通过锐捷客户端上网,静态配置好了ip dns后,我下载了锐捷客户端Supplicant_For_Linux客户端,同时下载了依赖包libpcap-0.8.3.tar.tar 我解压缩这个包后,进入libpcap-0.8.3 执行./configure 结果出现
checking for C compiler default output file name... configure: error: C compiler
cannot create executables
See `config.log' for more details.
我上网查了下,有人说是gcc没有装好,但是我使用gcc --version时出现
gcc(GCC) 4.2.3 (ubuntu 4.2.3-2ubuntu7) copyright....
这里应该是说明gcc已经装好了啊。请高手帮忙解决这个问题,谢谢!


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-07-13 17:12 

注册: 2006-10-27 23:59
帖子: 65
送出感谢: 0 次
接收感谢: 0 次
其实不用这么麻烦编译源码,找个libpcap-0.8.3.so放到/usr/lib就可以了


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-07-14 19:49 

注册: 2008-07-11 21:26
帖子: 9
送出感谢: 0 次
接收感谢: 0 次
the problem had resolved thanks!


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-07-14 22:47 
头像

注册: 2005-08-14 19:53
帖子: 3998
送出感谢: 1
接收感谢: 2
需要安装ubuntu的编译组建。不过一般来说1.01版本的锐捷依赖libpcap.so.6才对。应该ubuntu直接有libpcap包的,提示找不到libpcap.so.6就使用ln -sf /usr/lib/libpcap.so.***(现有版本) /usr/lib/libpcap.so.6

直接找到对应版本的libpcap.so更好

也许还会提示什么GCCXX什么什么的,那么就需要libstdc++.so.5。这个地方不要使用ln -sf 将系统里面的libstdc++.so.6链接成libstdc++.so.5


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Yahoo [Bot] 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译